<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:40 PST 2017 -->
<title>Expr.Term</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Expr.Term";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Expr.Paren.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Expr.Unary.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Expr.Term.html" target="_top">Frames</a></li>
<li><a href="Expr.Term.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_xdc.services.spec.Expr">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Expr.Term" class="title">Class Expr.Term</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">xdc.services.spec.Expr</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Expr.Term</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">Expr.Term</span>
extends <a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Expr.Term">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_xdc.services.spec.Expr">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></h3>
<code><a href="../../../xdc/services/spec/Expr.Aggregate.html" title="interface in xdc.services.spec">Expr.Aggregate</a>, <a href="../../../xdc/services/spec/Expr.Array.html" title="class in xdc.services.spec">Expr.Array</a>, <a href="../../../xdc/services/spec/Expr.Binary.html" title="class in xdc.services.spec">Expr.Binary</a>, <a href="../../../xdc/services/spec/Expr.Cond.html" title="class in xdc.services.spec">Expr.Cond</a>, <a href="../../../xdc/services/spec/Expr.Const.html" title="class in xdc.services.spec">Expr.Const</a>, <a href="../../../xdc/services/spec/Expr.Creat.html" title="class in xdc.services.spec">Expr.Creat</a>, <a href="../../../xdc/services/spec/Expr.Hash.html" title="class in xdc.services.spec">Expr.Hash</a>, <a href="../../../xdc/services/spec/Expr.Paren.html" title="class in xdc.services.spec">Expr.Paren</a>, <a href="../../../xdc/services/spec/Expr.Term.html" title="class in xdc.services.spec">Expr.Term</a>, <a href="../../../xdc/services/spec/Expr.Unary.html" title="class in xdc.services.spec">Expr.Unary</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Expr.Term.html#getRef()">getRef</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Expr.Term.html" title="class in xdc.services.spec">Expr.Term</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Expr.Term.html#getTerm()">getTerm</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Expr.Term.html#getVal()">getVal</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Expr">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></h3>
<code><a href="../../../xdc/services/spec/Expr.html#toText(xdc.services.spec.Expr)">toText</a>, <a href="../../../xdc/services/spec/Expr.html#toXml(xdc.services.spec.Expr)">toXml</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRef()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRef</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a>&nbsp;getRef()</pre>
</li>
</ul>
<a name="getTerm()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTerm</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Expr.Term.html" title="class in xdc.services.spec">Expr.Term</a>&nbsp;getTerm()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Expr.html#getTerm()">getTerm</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></code></dd>
</dl>
</li>
</ul>
<a name="getVal()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getVal</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a>&nbsp;getVal()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Expr.Paren.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Expr.Unary.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Expr.Term.html" target="_top">Frames</a></li>
<li><a href="Expr.Term.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_xdc.services.spec.Expr">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
